Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class AdminClient

    java.lang.Object
      |
      +--org.apache.axis.client.AdminClient

public class AdminClient
extends java.lang.Object

An admin client object that can be used both from the command line and programmatically.

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Simeon Simeonov (simeons@macromedia.com)

Field Summary
`protected Call` | `call`
`protected static org.apache.commons.logging.Log` | `log`
`protected static java.lang.String` | `ROOT_UNDEPLOY`

Constructor Summary
`AdminClient()` Construct an admin client w/o a logger

Method Summary
`Call` | `getCall()` External access to our Call object
`java.lang.String` | `list()`
`java.lang.String` | `list(Options opts)`
`static void` | `main(java.lang.String[] args)` Creates in instance of `AdminClient` and invokes `process(args)`.
`java.lang.String` | `process(java.io.InputStream input)`
`java.lang.String` | `process(Options opts, java.io.InputStream input)`
`java.lang.String` | `process(Options opts, java.lang.String xmlFile)`
`java.lang.String` | `process(java.lang.String xmlFile)`
`java.lang.String` | `process(java.lang.String[] args)` Processes a set of administration commands.
`java.lang.String` | `process(java.net.URL xmlURL)`
`void` | `processOpts(Options opts)`
`java.lang.String` | `quit()`
`java.lang.String` | `quit(Options opts)`
`static void` | `setDefaultConfiguration(EngineConfiguration config)` If the user calls this with an EngineConfiguration object, all AdminClients on this thread will use that EngineConfiguration rather than the default one.
`java.lang.String` | `undeployHandler(java.lang.String handlerName)`
`java.lang.String` | `undeployService(java.lang.String serviceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### call

    protected Call call

### ROOT_UNDEPLOY

    protected static final java.lang.String ROOT_UNDEPLOY

Constructor Detail

### AdminClient

    public AdminClient()

  Construct an admin client w/o a logger

Method Detail

### setDefaultConfiguration

    public static void setDefaultConfiguration(EngineConfiguration config)

  If the user calls this with an EngineConfiguration object, all AdminClients on this thread will use that EngineConfiguration rather than the default one. This is primarily to enable the deployment of custom transports and handlers.
  Parameters:
    `config` - the EngineConfiguration which should be used

### getCall

    public Call getCall()

  External access to our Call object

### list

    public java.lang.String list(Options opts)
                          throws java.lang.Exception

### list

    public java.lang.String list()
                          throws java.lang.Exception

### quit

    public java.lang.String quit(Options opts)
                          throws java.lang.Exception

### quit

    public java.lang.String quit()
                          throws java.lang.Exception

### undeployHandler

    public java.lang.String undeployHandler(java.lang.String handlerName)
                                     throws java.lang.Exception

### undeployService

    public java.lang.String undeployService(java.lang.String serviceName)
                                     throws java.lang.Exception

### process

    public java.lang.String process(java.lang.String[] args)
                             throws java.lang.Exception

  Processes a set of administration commands.

  The following commands are available:

  - `-lurl` sets the AxisServlet URL
  - `-hhostName` sets the AxisServlet host
  - `-pportNumber` sets the AxisServlet port
  - `-sservletPath` sets the path to the AxisServlet
  - `-ffileName` specifies that a simple file protocol should be used
  - `-uusername` sets the username
  - `-ppassword` sets the password
  - `-d` sets the debug flag (for instance, -ddd would set it to 3)
  - `-tname` sets the transport chain touse
  - `list` will list the currently deployed services
  - `quit` will quit (???)
  - `passwd value` changes the admin password
  - `xmlConfigFile` deploys or undeploys Axis components and web services

  If `-l` or `-h -p -s` are not set, the AdminClient will invoke `http://localhost:8080/axis/servlet/AxisServlet`.

  Parameters:
    `args` - Commands to process
  Returns:
    XML result or null in case of failure. In the case of multiple commands, the XML results will be concatenated, separated by \n
  Throws:
    `java.lang.Exception` - Could be an IO exception, an AxisFault or something else

### processOpts

    public void processOpts(Options opts)
                     throws java.lang.Exception

### process

    public java.lang.String process(java.io.InputStream input)
                             throws java.lang.Exception

### process

    public java.lang.String process(java.net.URL xmlURL)
                             throws java.lang.Exception

### process

    public java.lang.String process(java.lang.String xmlFile)
                             throws java.lang.Exception

### process

    public java.lang.String process(Options opts,
                                    java.lang.String xmlFile)
                             throws java.lang.Exception

### process

    public java.lang.String process(Options opts,
                                    java.io.InputStream input)
                             throws java.lang.Exception

### main

    public static void main(java.lang.String[] args)

  Creates in instance of `AdminClient` and invokes `process(args)`.

  Diagnostic output goes to `log.info`.

  Parameters:
    `args` - Commands to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.